import numpy as np
import scipy.stats as ss

data = [
        (70, 168), (68, 165), (62, 159), (56, 156), (70, 170),
        (64, 162), (59, 162), (70, 169), (68, 168), (69, 170),
        (67, 168), (63, 166), (58, 163), (74, 170), (65, 168),
        (60, 160), (65, 165), (72, 175), (61, 164), (77, 174),
        (68, 164), (64, 161), (70, 166), (47, 147), (66, 165),
        (68, 170), (73, 174), (74, 172), (63, 164), (83, 182),
        (58, 159), (64, 166), (67, 167), (75, 174), (67, 163),
        (68, 166), (68, 167), (66, 165), (63, 165), (55, 154),
        (61, 163), (60, 160), (62, 164), (62, 160), (59, 160),
        (51, 155), (59, 163), (68, 170), (56, 157), (79, 180)]

data = np.array(data)
print(data)

mx = np.mean(data.T[0])
my = np.mean(data.T[1])

SXY  = np.sum((data.T[0] - mx) * (data.T[1] - my))
SX2 = np.sum((data.T[0] - mx)**2)
SY2 = np.sum((data.T[1] - my)**2)
r = SXY / ((SX2 * SY2) ** 0.5)

print('\nr =', r)

N = len(data)
print('N =', N)
t = r * ((N - 2)**0.5) / ((1 - r**2)**0.5)
print('t =', t)

df = N - 2
print('df =', df)
p = ss.t.cdf(t, df)
print('P(X < t) =', p)
print('P(X > t) =', 1-p)

